# class RDoc::Require

A file loaded by #require

### Attributes

name[RW]

Name of the required file

### Public Class Methods

new(name, comment) click to toggle source

Creates a new Require that loads `name` with `comment`

    # File lib/rdoc/require.rb, line 14
    def initialize(name, comment)
      super()
      @name = name.gsub(%r'|"/, "") #'
      @top_level = nil
      self.comment = comment
    end

### Public Instance Methods

top_level() click to toggle source

The RDoc::TopLevel corresponding to this require, or `nil` if not found.

    # File lib/rdoc/require.rb, line 37
    def top_level
      @top_level ||= begin
        tl = RDoc::TopLevel.all_files_hash[name + '.rb']

        if tl.nil? and RDoc::TopLevel.all_files.first.full_name =~ %r(^lib/) then
          # second chance
          tl = RDoc::TopLevel.all_files_hash['lib/' + name + '.rb']
        end

        tl
      end
    end